function C2p29_PSET4_1a

%%
% ********************************************************************
% Course Homework
%               2.29: Numerical Fluid Mechanincs, Spring 2007
% Problem Set #4, Problem #1
% 05/04/07
% ********************************************************************
% Reza Karimi:
%                            Graduate Student
%                    Mechanical Engineering Department
%                  Massachusetts Institute of Technology
% Email:  rkarimi@mit.edu
% Office: NE47-319, 500 Technology Square, Cambridge, MA 02139
% Phone: (617) 324-7605
% ********************************************************************

%%

close, clc, clear all

LS={'-','--',':','-.','none','-'};
LM={'+','o','*','.','s','x'};
CL={'b','r','g','m','k','y'};

a=1;
n_max=30;
n=[0:n_max];
alpha=(n+0.5)*pi/a;

i=1;
for b=[1]

    x=[-1:0.025:1]*a;
    y=[-1:0.025:1]*b;

    %% Velocity Profile at x=0,y and x,y=0
    Ci=4/a.*(-1).^n./alpha.^3./cosh(alpha*b);
    Cyz=4/a.*(-1).^n./alpha.^2.*tanh(alpha*b);
    Cxz=4/a./alpha.^2./cosh(alpha*b);
    u_xy0=[];
    t_yz=[];
    for xi=x
        u_xy0(end+1)=(xi^2-a^2+sum(Ci.*cos(xi*alpha)))/2;
        t_yz(end+1)=0.5*sum(Cyz.*cos(xi*alpha));
    end

    u_x0y=[];
    t_xz=[];
    for yi=y
        u_x0y(end+1)=(-a^2+sum(Ci.*cosh(yi*alpha)))/2;
        t_xz(end+1)=0.5*(2*a-sum(Cxz.*cosh(yi*alpha)));
    end
    figure(1)
    plot(y/b,-u_x0y,'Marker',LM{i},'LineStyle',LS{i},'Color','r'),hold on,i=i+1;
    plot(x/a,-u_xy0,'Marker',LM{i},'LineStyle',LS{i},'Color','b'),hold on,i=i+1;
    i=i-2;
    figure(2)
    plot(y/b,t_xz,'Marker',LM{i},'LineStyle',LS{i},'Color','r'),hold on,i=i+1;
    plot(x/a,t_yz,'Marker',LM{i},'LineStyle',LS{i},'Color','b'),hold on,i=i+1;

end
figure(1)
plot(x/a,-(x.^2-a^2)/2,'Marker','none','LineStyle','-','Color','k'),hold on,i=i+1;

set(gcf,'Position',[50 50 [25 25]*30],'color','w'),set(gca,'fontsize',12)
legend_h=legend(...
    '$\frac{b}{a}=1$ : x=0 plane   ','$\frac{b}{a}=1$ : y=0 plane',...
    '$\frac{b}{a}=2$ : x=0 plane','$\frac{b}{a}=2$ : y=0 plane',...
    '$\frac{b}{a}=10$: x=0 plane','$\frac{b}{a}=10$: y=0 plane','$\frac{1}{2}(1-(\frac{x}{a})^2)$','location','south');

set(legend_h,'Interpreter','latex','fontsize',12)

xlabel('$\frac{x}{a}$ or $\frac{y}{b}$','Interpreter','latex','fontsize',18,'FontAngle','italic','FontWeight','bold','FontName','Times New Roman')
ylabel('$\frac{V}{-\frac{a^2}{\mu}\frac{dP}{dz}}$','Interpreter','latex','fontsize',18,'FontAngle','italic','FontWeight','bold','FontName','Times New Roman')
title (['Velocity Profile at (x=0) and (y=0) Planes for Different $\frac{b}{a}$ Values'],'Interpreter','latex',...
    'fontsize',18,'FontAngle','italic','FontWeight','bold','FontName','Times New Roman')

box on, grid on
axis([-1 1 0 0.55])

figure(2)
set(gcf,'Position',[50 50 [25 25]*30],'color','w'),set(gca,'fontsize',12)
legend_h=legend(...
    '$\frac{b}{a}=1$ : $\tau_{xz}$  at x=a plane','$\frac{b}{a}=1$ : $\tau_{yz}$  at y=b plane',...
    '$\frac{b}{a}=2$ : $\tau_{xz}$  at x=a plane','$\frac{b}{a}=2$ : $\tau_{yz}$  at y=b plane',...
    '$\frac{b}{a}=10$: $\tau_{xz}$  at x=a plane','$\frac{b}{a}=10$: $\tau_{yz}$  at y=b plane','location','south');

set(legend_h,'Interpreter','latex','fontsize',14)

xlabel('$\frac{x}{a}$ or $\frac{y}{b}$','Interpreter','latex','fontsize',18,'FontAngle','italic','FontWeight','bold','FontName','Times New Roman')
ylabel('$\frac{\tau}{a\frac{dP}{dz}}$','Interpreter','latex','fontsize',18,'FontAngle','italic','FontWeight','bold','FontName','Times New Roman')
title (['Wall Shear Stress at (x=a) and (y=b) Planes for Different $\frac{b}{a}$ Values'],'Interpreter','latex',...
    'fontsize',18,'FontAngle','italic','FontWeight','bold','FontName','Times New Roman')

box on, grid on
axis([-1 1 0 1.1])
