%function C2p29_PSET4_1d

%%
% ********************************************************************
% Course Homework
%               2.29: Numerical Fluid Mechanincs, Spring 2007
% Problem Set #4, Problem #1
% 05/04/07
% ********************************************************************
% Reza Karimi:
%                            Graduate Student
%                    Mechanical Engineering Department
%                  Massachusetts Institute of Technology
% Email:  rkarimi@mit.edu
% Office: NE47-319, 500 Technology Square, Cambridge, MA 02139
% Phone: (617) 324-7605
% ********************************************************************

%%
%close, clc, clear all
a=1;b=10;

%% Variables from Workspace
% u: Velocity
% p: Nodal Points
% t: triangles.
Q_star=0;

area=pdetrg(p,t);

for i=1:size(t,2)

    u_average=1/3*( u(t(1,i))+u(t(2,i))+u(t(3,i)) );
    Q_star=Q_star+u_average*area(i);

end

Q_star=Q_star*4/(a^3*b) %Normalize & Consider 4 Quadrants

[ux,uy]=pdegrad(p,t,u);
ux=-ux;
uy=-uy;

txz=max(max(ux))
tyz=max(max(uy))

c_max=max([txz tyz]);

figure
subplot(1,2,1)
pdeplot(p,[],t,'xydata',ux,'xystyle','off','contour','on','levels',10,'colorbar','on','colormap','jet');
set(gca,'CLIM',[0 c_max]);
axis equal, axis([0 1 0 b/a]),colorbar
xlabel('$\frac{x}{a}$','Interpreter','latex','fontsize',20,'FontAngle','italic','FontWeight','bold','FontName','Times New Roman')
ylabel('$\frac{y}{a}$','Interpreter','latex','fontsize',20,'FontAngle','italic','FontWeight','bold','FontName','Times New Roman')
title ('$\tau_{xz}^*$: PDETOOL','Interpreter','latex','fontsize',14,'FontAngle','italic','FontWeight','bold','FontName','Times New Roman')
box on, grid on,,set(gca,'fontsize',10)
subplot(1,2,2)
pdeplot(p,[],t,'xydata',uy,'xystyle','off','contour','on','levels',10,'colorbar','on','colormap','jet');
set(gca,'CLIM',[0 c_max]);
axis equal, axis([0 1 0 b/a]),colorbar
xlabel('$\frac{x}{a}$','Interpreter','latex','fontsize',20,'FontAngle','italic','FontWeight','bold','FontName','Times New Roman')
ylabel('$\frac{y}{a}$','Interpreter','latex','fontsize',20,'FontAngle','italic','FontWeight','bold','FontName','Times New Roman')
title ('$\tau_{yz}^*$: PDETOOL','Interpreter','latex','fontsize',14,'FontAngle','italic','FontWeight','bold','FontName','Times New Roman')
box on, grid on,,set(gca,'fontsize',10)

set(gcf,'Position',[50 50 [25 25]*25],'color','w')
